Bug 186347 - Long time out if not hang during boot with missing nfs server.
Long time out if not hang during boot with missing nfs server.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: nfs-utils-lib (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-22 21:24 EST by Kim Lux
Modified: 2008-03-10 00:15 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 00:15:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kim Lux 2006-03-22 21:24:07 EST
Description of problem:  
  
We have an nfs server at the office.  I have a laptop and automatically mounts  
nfs shares.  At the office, everything works great.  Away from the office, it  
takes forever for the laptop to boot because it appears to be waiting for the  
nfs server to reply, in spite of timeo settings in fstab. <more below>  
  
  
Version-Release number of selected component (if applicable):  
  
Both machines are running fully updated Fedora Core 4 as  
of March 20, 2006.  Let me know if you need more detail here. 
 
I put this under nfs, but it might be the boot process or mount or rpc or ???  
You guys can figure that out.   
  
 
How reproducible:  
  
Every time I boot up without the server, although sometimes the laptop  
actually hangs.  Other times it just takes a <long> while to finish booting 
properly.  This was a problem back in fc3 too.  I didn't run the laptop with 
fc2, so I can't comment on that.  
  
  
Steps to Reproduce:  
 
1.Configure a server for nfs.  Share a few directories.  
2.Set up a laptop to use those shares.  Get it all working.  
3.Shutdown the laptop.  Shutdown the server.   
4.Boot the laptop. <with the server off> 
    
Actual results:  
1. Laptop gets to "Mounting NFS Filesystems" in the boot details and hangs. 
(booting with run level 5.)  After a while, I think it blurts a message about 
Cannot Mount NFS... server is down.  (Server is the name of our server 
here...)  
  
2) It jumps out of the Boot Details screen to the large text (non X Window?)  
screen and sits at "Enabling Swap Space"  
  
3) Sometimes it will boot from here after waiting a few minutes.  Sometimes it  
won't.  It hangs indefinitely.   
  
Expected results:  
  
1)  The laptop should reach "Mounting NFS Filesystems" and after a few 
seconds* emit the message "Cannot mount NFS file systems."...  
  
2) It should then continue on the rest of the boot process, sans the nfs 
mounts.   
  
Additional info:  
  
I've tried all manner of fstab settings on the laptop.  My latest incarnation  
is   
server:/home/backup/backup1     /home/krlux/Desktop/backup1 nfs 
defaults,soft,intr,timeo=10	0 0 
 
There are 3 shares on the server that get mounted in 4 locations on the 
laptop, if that makes any difference.  All have similar entries to the above 
example. 
 
Thanks.
Comment 1 Steve Dickson 2006-07-25 00:13:31 EDT
Try setting the mount opt 'retry=1' which should cause the
mount to time out sooner
Comment 3 petrosyan 2008-03-10 00:15:56 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.